summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorBernhard Rosenkränzer <Bernhard.Rosenkranzer@linaro.org>2015-10-06 13:31:41 +0200
committerBernhard Rosenkränzer <Bernhard.Rosenkranzer@linaro.org>2015-10-06 13:31:41 +0200
commit29cf16cb8354f914b9fea713bcec965719ef8a09 (patch)
tree51f7d017bb5227d8ec9b2501811df51b5734d886
parent9df5328a8a1456893ea02f013ff0723980d4091f (diff)
downloadandroid-patchsets-29cf16cb8354f914b9fea713bcec965719ef8a09.tar.gz
Add initial marshmallow gcc 5.x patchset
More bits may follow if the build breaks again Change-Id: I131ebee131289f316b685733fffcd04ff671be6a Signed-off-by: Bernhard Rosenkränzer <Bernhard.Rosenkranzer@linaro.org>
-rwxr-xr-xmarshmallow-gcc5-patchset19
1 files changed, 19 insertions, 0 deletions
diff --git a/marshmallow-gcc5-patchset b/marshmallow-gcc5-patchset
new file mode 100755
index 0000000..233d13d
--- /dev/null
+++ b/marshmallow-gcc5-patchset
@@ -0,0 +1,19 @@
+#!/bin/sh
+
+. $(dirname $0)/functions
+
+PATCHES=0
+if [ -n "$1" ]; then
+ AOSP="$1"
+else
+ AOSP="`pwd`"
+fi
+
+if ! [ -d "$AOSP" ] && ! [ -d "$AOSP/bionic" ] && [ -d "$AOSP"/build ]; then
+ echo "This script must be run from the AOSP source directory"
+ echo "or with the AOSP source directory as its first parameter."
+ exit 1
+fi
+
+# Fix libatomic.a detection with gcc 5+
+apply --linaro build 16156/1